Orxonox: TiXmlUnknown Class Reference

# TiXmlUnknown Class Reference

`#include <src/tinyxml/tinyxml.h>`

Inheritance diagram for TiXmlUnknown:

List of all members.

## Public Member Functions

virtual bool | Accept (TiXmlVisitor *content) const
virtual TiXmlNode * | Clone () const
| Creates a copy of this Unknown and returns it.
void | operator= (const TiXmlUnknown &copy)
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
| TiXmlUnknown (const TiXmlUnknown &copy)
| TiXmlUnknown ()
virtual TiXmlUnknown * | ToUnknown ()
| Cast to a more defined type. Will return null not of the requested type.
virtual const TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null not of the requested type.
virtual | ~TiXmlUnknown ()

## Protected Member Functions

void | CopyTo (TiXmlUnknown *target) const

## Detailed Description

Any tag that tinyXml doesn't recognize is saved as an unknown. It is a tag of text, but should not be modified. It will be written back to the XML, unchanged, when the file is saved.

DTD tags get thrown into TiXmlUnknowns.

## Constructor & Destructor Documentation

TiXmlUnknown::TiXmlUnknown | ( |  | ) | `[inline]`

Referenced by Clone().

virtual TiXmlUnknown::~TiXmlUnknown | ( |  | ) | `[inline, virtual]`

TiXmlUnknown::TiXmlUnknown | ( | const TiXmlUnknown & | copy | ) | `[inline]`

References CopyTo().

## Member Function Documentation

bool TiXmlUnknown::Accept | ( | TiXmlVisitor * | content | ) | const`[virtual]`

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

References TiXmlVisitor::Visit().

TiXmlNode * TiXmlUnknown::Clone | ( |  | ) | const`[virtual]`

Creates a copy of this Unknown and returns it.

Implements TiXmlNode.

References CopyTo(), and TiXmlUnknown().

void TiXmlUnknown::CopyTo | ( | TiXmlUnknown * | target | ) | const`[protected]`

References TiXmlNode::CopyTo().

Referenced by Clone(), operator=(), and TiXmlUnknown().

void TiXmlUnknown::operator= | ( | const TiXmlUnknown & | copy | ) | `[inline]`

References CopyTo().

const char * TiXmlUnknown::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding |
| ) |  |  | `[virtual]`

Implements TiXmlBase.

References TiXmlParsingData::Cursor(), TiXmlNode::GetDocument(), TiXmlBase::location, TiXmlDocument::SetError(), TiXmlBase::SkipWhiteSpace(), TiXmlParsingData::Stamp(), TiXmlBase::TIXML_ERROR_PARSING_UNKNOWN, and TiXmlNode::value.

void TiXmlUnknown::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

References TiXmlNode::value.

virtual TiXmlUnknown* TiXmlUnknown::ToUnknown | ( |  | ) | `[inline, virtual]`

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

virtual const TiXmlUnknown* TiXmlUnknown::ToUnknown | ( |  | ) | const`[inline, virtual]`

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

The documentation for this class was generated from the following files:

- src/tinyxml/tinyxml.h
- src/tinyxml/tinyxml.cpp
- src/tinyxml/tinyxmlparser.cpp